iOS

Eclipse Rx is compatible with the following iOS devices running iOS 11 and up:

iPhone 6s or newer

iPad 3rd Gen or newer

iPad Mini 2 or newer

iPad Pro or newer

New iOS devices will be supported as they become available, as long as they have Bluetooth 4.0 support

Download the Eclipse Rx Mobile App on Apple's App Store



What Devices Will NOT Work with Eclipse Rx?

Any devices that do not have Bluetooth 4.0 or BLE, will not work. These handsets do not have the hardware to communicate with our Eclipse Rx hardware or companion app.

Android Devices

At this time, only the iOS version of the app exists. We plan to release an Android app in the coming months!

Computers

At this time, the application is only designed to run on mobile devices, as the app relies on proximity to a device in order calculate real-time exposure. We plan to explore enhanced capabilities later in our growth plan.



Order Your Eclipse Rx ®